<?php
namespace App\Lidia\GetVersionsDetails;

class Response extends \App\Lidia\ResponseAbstract
{
	/**
	 * Stores the list of versions from LIDIA
	 * @var array
	 */
	protected $versions = [];

	/**
	 * Add version details
	 * @param Array $version
	 */
	public function addVersion(Array $version)
	{
		$this->versions[] = $version;
	}

	/**
	 * Returns list with versions
	 * @return Array
	 */
	public function getVersions()
	{
		return $this->versions;
	}

	/**
	 * (non-PHPdoc)
	 * @see \App\Lidia\ResponseAbstract::doCheck()
	 */
	protected function doCheck(\App\MessagesCollector $msgs)
	{
	}
}
